function classifyResult = challenge(recordName)


classifyResult = 'N';

[tm,ecg,fs,siginfo]=rdmat(recordName);
[QRS,sign,en_thres] = qrs_detect2(ecg',0.25,0.6,fs);
[frac_dim_corr2,frac_dim_corr1,QRS2,ecgc]=process2(recordName);
ecgc = butterworth_high_pass_filter(ecgc,2,1,300, 0);
ecgc = butterworth_low_pass_filter(ecgc,2,130,300, 0);

if (length(QRS)<=1||length(QRS2)<=1)
    
   classifyResult = '~'; 
else
    
    [charak,peak_amp_std]=variance(ecgc,QRS2);
 
 corrcoeff_final = challenge_run_xcorr(ecgc,QRS2);
 
 aa=find((cell2mat(corrcoeff_final)) < 0.5);
 feature_corr=length(aa)/length((cell2mat(corrcoeff_final)));
 

if (feature_corr >0.3 || peak_amp_std >1.4) 
 classifyResult = '~';
else


%% for 600

zz=[];
if (size(QRS2,2))>=9
    zz=cell(size(QRS2,2)-8,1);
    for j=1:size(QRS2,2)-8
        zz{j,1}=ecgc(QRS2(j+4)-300:QRS2(j+4)+299);
    end
    
else
    
    if (size(QRS2,2))>=8

        zz=cell(1,1);
        zz{1,1}=ecgc(QRS2(4)-300:QRS2(4)+299);
    end

end    

if length(zz)>=1

yy=cell2mat(zz');
yy=yy';


    %%%%%%  shabake
    
    A = vote(yy);
    
    
    
    if A==0
    classifyResult = 'N'; 
    
    elseif A==1
    classifyResult = 'A'; 
    
    else
    classifyResult = 'O';
    end
    


end

end

end


end




 


%% You can add the determination rules for other rhythm and noisy recordings here

